Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
POSTVPC Firewall OperationsSince 4.4.0SynchronousAuth Required

CreateFirewallRuleFromConfigFile

CreateFirewallRuleFromConfigFile

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • ruleInfoStringRequired

      The firewall rule information.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVpcFirewallRuleSetInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • isDefaultbooleanRequired

      是否默认。

    • isAppliedbooleanRequired

      是否应用。

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

    • actionTypeActionTypeRequired

      See actionType.

      • dropActionTypeRequired

        No description provided.

      • rejectActionTypeRequired

        拒绝。

      • acceptActionTypeRequired

        接受。

Endpoint

POST/zstack/v1/vpcfirewalls/rules/from-file

/zstack/v1/vpcfirewalls/rules/from-file

Operation ID

CreateFirewallRuleFromConfigFile

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vpcfirewalls/rules/from-file' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"ruleInfo":"<ruleInfo>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": [ { "name": "name", "actionType": "drop", "description": "example-des", "enableDefaultLog": false, "isDefault": false, "isApplied": true } ] }

Change History

This API has no change history records yet.

View all change history